﻿using System.Collections.Generic;
using NTERA.Engine.Compiler;

namespace NTERA.Engine.Runtime
{
	public class ExecutionSet
	{
		public VariableDictionary LocalVariables { get; set; }
		public VariableDictionary GlobalVariables { get; set; }

		public FunctionDefinition SelfDefinition { get; set; }

		public IList<ExecutionNode> Nodes { get; set; }

		public int Position { get; set; } = 0;
	}
}